import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod } from "./IShortPeriodLongPeriod";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core/ES5/type";
import { DependencyProperty } from "igniteui-react-core/ES5/DependencyProperty";
/**
 * @hidden
 */
export declare class MovingAverageConvergenceDivergenceIndicator extends StrategyBasedIndicator implements IShortPeriodLongPeriod {
    static $t: Type;
    constructor();
    protected get_p5(): IndicatorCalculationStrategy;
    protected readonly p5: IndicatorCalculationStrategy;
    protected get_qi(): Type;
    protected readonly qi: Type;
    shortPeriod: number;
    static readonly qt: DependencyProperty;
    protected qd(): number;
    longPeriod: number;
    static readonly qs: DependencyProperty;
    protected qa(): number;
    signalPeriod: number;
    static readonly qu: DependencyProperty;
    protected pl(): number;
}
